<div class="example-container">
    <div class="form-container">
        <form
                [formGroup]="loginForm" (submit)="submit()">

            <mat-form-field class="form-field" appearance="outline">
                <mat-label> E-mail
                </mat-label>
                <input matInput formControlName="email">
                <mat-error *ngIf="loginForm.controls.email.touched && loginForm.controls.email.invalid">
                    <span *ngIf="loginForm.controls.email.errors.required">Povinná položka.</span>
                    <span *ngIf="loginForm.controls.email.errors.pattern">Nesprávny formát.</span>
                </mat-error>
            </mat-form-field>

            <mat-form-field class="form-field" appearance="outline">
                <mat-label> Heslo
                </mat-label>
                <input matInput formControlName="password" type="password">
                <mat-error *ngIf="loginForm.controls.password.touched && loginForm.controls.password.invalid">
                    <span *ngIf="loginForm.controls.password.errors.required">Povinná položka.</span>
                </mat-error>
            </mat-form-field>

            <button
                    (click)="logIn()"
                    [disabled]="!loginForm.valid"
                    class="action-button"
                    mat-raised-button
                    color="primary"
                    type="submit">
                Prihlásiť sa
            </button>

            <div>Alebo</div>

            <button
                    (click)="loginWithGoogle()"
                    class="action-button"
                    mat-raised-button
                    color="warn"
                    type="submit">
                Prihlásiť sa pomocou Google
            </button>
        </form>
    </div>
</div>

